#ifndef GUI_H
#define GUI_H
#include "output.h"

GtkWidget *create_input_window();
GtkWidget *create_format_window();
void gui_init();
void gui_update_input();
void destroy(GtkWidget *w, gpointer d);
void set_file_path_box(char *fp);
GtkWidget *create_number_box(int width);
GtkWidget *put_label(GtkWidget *grid, char *text, int x, int y);
GtkWidget *put_label_colored(GtkWidget *grid, int r, int g, int b, char *text, int x, int y);
void rect_update_height(GtkWidget *h, gpointer bla);
void rect_update_width(GtkWidget *w, gpointer bla);
void trap_update_base(GtkWidget *b, gpointer which);
void trap_update_span(GtkWidget *s, gpointer bla);
void gui_update_format(struct NBTV_format *f);
void gui_update_channel_setup(struct NBTV_format *fmt);
void gui_format_connect_callbacks();
void gui_channel_setup_connect_callbacks();
GtkWidget *create_channel_setup_window();
void gui_create_output_window();
void gui_update_output(struct _output *op);
void gui_update_time_produced();
void gui_format_disable_window();
void gui_format_enable_window();
void gui_update_format_selector();

void update_p1(GtkWidget *p, gpointer bla);
void update_p2(GtkWidget *p, gpointer bla);

void info(const char *,...);
void warn(const char *,...);
void error(const char *,...);
void debug(const char *,...);

void y_u_no_error();

int gui_tick();

//extern char filename[255];
extern SDL_Surface *screen;
extern uint8_t window_type;
extern uint8_t rotation_angle;
extern uint8_t lock_aspect_to_screen_format, lock_aspect_to_pixel_format;
extern char file_picker_used;
extern char updated_fn;
extern SDL_Surface *image;

extern GtkWidget *grid;
extern GtkWidget *file_path;
extern GtkWidget *Xeb,*Yeb;
extern GtkWidget *aspect;

extern GtkWidget *r_width, *r_height;
extern GtkWidget *t_b1, *t_b2;
extern GtkWidget *a_r_inner, *a_r_outer;
extern GtkWidget *a_angle;


#endif